Bug 126067 - Weird symbols and filename behavior compiling Python modules
Weird symbols and filename behavior compiling Python modules
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mihai Ibanescu
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2004-06-15 14:37 EDT by Richard Plana
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-30 12:04:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Richard Plana 2004-06-15 14:37:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
While trying to compile PyOpenGL-, I end up with following
error importing OpenGL in python:

ImportError: No module named _GL__init__

I symlink /usr/lib/python2.3/site-packages/OpenGL/GL/GL__init___.so ->
GL__init__.so and try 'import OpenGL' to get the ff. error:

ImportError: dynamic module does not define init function (initGL__init__)

Doing an 'nm GL__init___.so' shows there's no symbol initGL__init__
defined, but there is an init_GL__init__ defined. PyOpenGL and Python
developers have noted that this problem pops up in RedHat and Fedora
Core distributions.

Version-Release number of selected component (if applicable):
python-2.3.3-6 swig-1.3.19-6.1

How reproducible:

Steps to Reproduce:
See Description above.

Additional info:
Comment 1 Mihai Ibanescu 2004-06-16 16:44:29 EDT
Can you post a link to the source rpm you were using?
Comment 2 Richard Plana 2004-06-19 20:06:34 EDT
Please try the pyopengl- package (source in .tar.gz) from

Do a

$ python setup.py install

after satisfying all the requirement then try 

$ echo "import OpenGL" | python

Please check out these posts to the pyopengl-users mailing list, as well:

Comment 3 Matthew Miller 2005-04-26 11:56:44 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.